# Generated from sysexits-1.2.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name sysexits

Name: rubygem-%{gem_name}
Version: 1.2.0
Release: 1%{?dist}.3
Summary: Collection of human-readable constants for the standard exit codes
License: BSD
URL: https://bitbucket.org/ged/sysexits
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.8.7
# BuildRequires: (rubygem(hoe-mercurial) >= 1.4.0 with rubygem(hoe-mercurial) < 1.5)
# BuildRequires: (rubygem(hoe-highline) >= 0.1.0 with rubygem(hoe-highline) < 0.2)
# BuildRequires: (rubygem(rspec) >= 2.11 with rubygem(rspec) < 3)
# BuildRequires: (rubygem(simplecov) >= 0.6 with rubygem(simplecov) < 1)
# BuildRequires: (rubygem(hoe) >= 3.9 with rubygem(hoe) < 4)
BuildArch: noarch

%description
Collection of human-readable constants for the standard (BSDish)
exit codes used as arguments to exit to indicate a specific
error condition to the parent process.

%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec2 spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gemtest
%license %{gem_instdir}/LICENSE
%{gem_instdir}/Manifest.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/ChangeLog
%doc %{gem_instdir}/History.rdoc
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/spec

%changelog
* Thu May 24 2018 Oleg Girko <ol@infoserver.lv> - 1.2.0-1
- Initial package
